## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Interface ISQLCompletionEngine

    public interface ISQLCompletionEngine

Method Summary

`org.eclipse.jface.text.contentassist.ICompletionProposal[]`

`computeDBProposals(org.eclipse.jface.text.IDocument doc, org.eclipse.jface.text.ITypedRegion partition, int documentOffset, IDBContext dbcontext)`
Computes and returns a list of database (catalog) objects (that is, schema, table, and column names) as an array of CompletionProposal objects, based on the current location in the given document.

`org.eclipse.jface.text.contentassist.ICompletionProposal[]` `computeSyntaxProposals(org.eclipse.jface.text.IDocument doc, org.eclipse.jface.text.ITypedRegion partition, int documentOffset)` Computes and returns a list of syntax elements (keywords and operators) as an array of CompletionProposal objects, based on the current location in the given document.

Method Detail

### computeDBProposals

    org.eclipse.jface.text.contentassist.ICompletionProposal[] computeDBProposals(org.eclipse.jface.text.IDocument doc,
                                                                                  org.eclipse.jface.text.ITypedRegion partition,
                                                                                  int documentOffset,
                                                                                  IDBContext dbcontext)

  Computes and returns a list of database (catalog) objects (that is, schema, table, and column names) as an array of CompletionProposal objects, based on the current location in the given document.

  Parameters:
    `doc` - the current document
    `partition` - the current partition in the document
    `docOffset` - the location (offset) in the document where content assist is wanted
    `dbContext` - the database context (that is, the current database connection)
  Returns:
    the array of content assist proposals

### computeSyntaxProposals

    org.eclipse.jface.text.contentassist.ICompletionProposal[] computeSyntaxProposals(org.eclipse.jface.text.IDocument doc,
                                                                                      org.eclipse.jface.text.ITypedRegion partition,
                                                                                      int documentOffset)

  Computes and returns a list of syntax elements (keywords and operators) as an array of CompletionProposal objects, based on the current location in the given document.

  Parameters:
    `doc` - the current document
    `partition` - the current partition in the document
    `docOffset` - the location (offset) in the document where content assist is wanted
  Returns:
    the array of content assist proposals